#### Previous topic

scipy.stats.mstats.trimmed_var

#### Next topic

scipy.stats.gaussian_kde

# scipy.stats.mstats.ttest_1samp

`scipy.stats.mstats.``ttest_1samp`(a, popmean, axis=0)

  Calculates the T-test for the mean of ONE group of scores.

  Parameters:

  a : array_like

  > sample observation

  popmean : float or array_like

  > expected value in null hypothesis, if array_like than it must have the same shape as a excluding the axis dimension

  axis : int or None, optional

  > Axis along which to compute test. If None, compute over the whole array a.

  Returns:

  statistic : float or array

  > t-statistic

  pvalue : float or array

  > two-tailed p-value

  Notes

  For more details on `ttest_1samp`, see stats.ttest_1samp.